#!/bin/zsh

BASEDIR=$(pwd)

source config/zsh/.zshenv

mkdir -p "${XDG_CONFIG_HOME}"
mkdir -p "${XDG_DATA_HOME}"
mkdir -p "${XDG_DATA_HOME}"/zsh

INSTALL_CONFIGS=(dunst git i3 i3blocks lf ncmpcpp mpd picom redshift rofi tmux wezterm x11 zsh)
for f in $INSTALL_CONFIGS ; do
    echo "Installing config for ${f}..."
    rm -rf ${XDG_CONFIG_HOME}/${f} > /dev/null 2>&1
    ln --force --symbolic --no-dereference ${BASEDIR}/config/${f}/ "${XDG_CONFIG_HOME}/${f}"
done

INSTALL_BINS=(fssh lfrun lockScreen scroll_high_res_off setbg sl tmux_chooser)
for p in $INSTALL_BINS ; do
    echo "Installing script ${p}..."
    ln --force --symbolic --no-dereference ${BASEDIR}/local/bin/${f} "${XDG_BIN_HOME}/${f}"
done
